/*
 * imgmirc.dll is a plug-in for the mIRC application
 * Copyright (C) 2003-2010 Ivan Zvolsky
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library (lesser.txt)
 */
#ifndef _FLAGS_
#define _FLAGS_

#define NUM_FLAGS 8

#define _VERBOSE_               flags[1].flag
#define _AUTOSET_QHOOK_         flags[2].flag
#define _AUTOSET_KBDHOOK_       flags[3].flag
#define _KEEP_ALIVE_            flags[4].flag
#define _PCRE_HIGHLIGHTS_       flags[5].flag
#define _SMILES_                flags[6].flag
#define _TRANSPARENT_           flags[7].flag

typedef struct _tag_flags
{
    char var_name[32];
    BOOL flag;
} _flags;

void load_all_flags();
void save_all_flags(BOOL tmp_save = FALSE);

extern _flags flags[NUM_FLAGS];
extern _flags tmp_flags[NUM_FLAGS];

#endif